FROM 10.0.6.228:5000/node-nginx:8.12.0-slim
ARG project=default
WORKDIR /app
COPY . /app/
RUN  npm config set proxy=http://10.0.6.228:3128 && npm set registry https://registry.npm.taobao.org && npm install && npm run build:$project && cp -r dist/* /var/www/html && cp nginx.conf /etc/nginx/conf.d && rm -rf /etc/nginx/sites-enabled &&  rm -rf /app

